Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy
Class GroovyBugError

This class represents an error that is thrown when a bug is recognized inside the runtime. Basically it is thrown when a constraint is not fullfilled that should be fullfiled.

author:
  Jochen Theodorou

Field Summary
`Exception` | `exception`
`String` | `message`

Constructor Summary
`GroovyBugError(String message)` constructs a bug error using the given text
`GroovyBugError(Exception exception)` Constructs a bug error using the given exception
`GroovyBugError(String msg, Exception exception)` Constructs a bug error using the given exception and a text with additional information about the cause

Method Summary
`String` | `getBugText()` Returns the bug text to describe this error
`Throwable` | `getCause()`
`String` | `getMessage()` Returns the detail message string of this error.
`void` | `setBugText(String msg)` Sets the bug text to describe this error
`String` | `toString()` Returns a String representation of this class by calling `getMessage()`.

Constructor Detail

### GroovyBugError

    public GroovyBugError(String message)

  constructs a bug error using the given text
  param:
    message the error message text

### GroovyBugError

    public GroovyBugError(Exception exception)

  Constructs a bug error using the given exception
  param:
    exception cause of this error

### GroovyBugError

    public GroovyBugError(String msg, Exception exception)

  Constructs a bug error using the given exception and a text with additional information about the cause
  param:
    msg additional information about this error
  param:
    exception cause of this error

Method Detail

### getBugText

    public String getBugText()

  Returns the bug text to describe this error

### getCause

    public Throwable getCause()

### getMessage

    public String getMessage()

  Returns the detail message string of this error. The message will consist of the bug text prefixed by "BUG! " if there this isntance was created using a message. If this error was constructed without using a bug text the message of the cause is used prefixed by "BUG! UNCAUGHT EXCEPTION: "
  return:
    the detail message string of this error.

### setBugText

    public void setBugText(String msg)

  Sets the bug text to describe this error

### toString

    public String toString()

  Returns a String representation of this class by calling `getMessage()`.
  see:
    #getMessage()